# `certbot.plugins.dns_common_lexicon`

Common code for DNS Authenticator Plugins built on Lexicon.

class `certbot.plugins.dns_common_lexicon.``LexiconClient`

  Bases: `object`

  Encapsulates all communication with a DNS provider via Lexicon.

  `add_txt_record`(domain, record_name, record_content)

    Add a TXT record using the supplied information.

    Parameters:

    - domain (str) – The domain to use to look up the managed zone.
    - record_name (str) – The record name (typically beginning with ‘_acme-challenge.’).
    - record_content (str) – The record content (typically the challenge validation).

    Raises: | errors.PluginError – if an error occurs communicating with the DNS Provider API

  `del_txt_record`(domain, record_name, record_content)

    Delete a TXT record using the supplied information.

    Parameters:

    - domain (str) – The domain to use to look up the managed zone.
    - record_name (str) – The record name (typically beginning with ‘_acme-challenge.’).
    - record_content (str) – The record content (typically the challenge validation).

    Raises: | errors.PluginError – if an error occurs communicating with the DNS Provider API

  `_find_domain_id`(domain)

    Find the domain_id for a given domain.

    Parameters: | domain (str) – The domain for which to find the domain_id.
    Raises: | errors.PluginError – if the domain_id cannot be found.